exports.id = 7990;
exports.ids = [7990];
exports.modules = {

/***/ 2217:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ log; }
/* harmony export */ });
function log(username, module, description, host, details) {
  let payload = {
    date: new Date().getTime(),
    user: username,
    module: module,
    description: description,
    computer: host
  };
  if (details) payload.details = details;
  fetch('/api/activity', {
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(payload)
  });
}

/***/ }),

/***/ 7990:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react_bootstrap__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9226);
/* harmony import */ var react_bootstrap__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3730);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_lib_aes__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _lib_log__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2217);
var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);





class SuspendRestrictions extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props);
    let suspendButtonDisabled = true;

    if (this.props.suspendProperties != null) {
      if (this.props.suspendProperties.suspend == false && this.props.restrictionsCount > 0) {
        suspendButtonDisabled = '';
      } // set state variables


      this.state = {
        showModal: false,
        isSuspended: this.props.suspendProperties.suspend,
        suspendedOn: this.props.suspendProperties.suspendedOn,
        suspendButtonDisabled: suspendButtonDisabled,
        duration: this.props.suspendProperties.duration
      };
    } else {
      this.state = {
        isSuspended: '',
        suspendedOn: '',
        suspendedDate: '',
        duration: 0
      };
    } // bind the action handlers


    this.suspend = this.suspend.bind(this);
    this.resume = this.resume.bind(this);
    this.handleClose = this.handleClose.bind(this);
    this.handleShow = this.handleShow.bind(this);
  }

  componentDidMount() {
    this.timerID = setInterval(() => this.tick(), 1000);
    var getUrl = window.location;
    console.log(getUrl.host);
    var hostIP = getUrl.host;
    this.setState(state => ({
      host: hostIP
    }));
  }

  componentWillUnmount() {
    clearInterval(this.timerID);
  }

  tick() {
    console.log(this.state.isSuspended + ' ' + this.state.suspendButtonDisabled);

    if (this.props.restrictionsCount == 0) {
      this.setState(state => ({
        suspendedDate: 'No restrictions applied'
      }));
    } else if (this.props.restrictionsCount > 0 && this.state.isSuspended == false) {
      this.setState(state => ({
        suspendedDate: 'Restrictions enabled'
      }));
    } else {
      let supensionEndDate = new Date(this.state.suspendedOn);
      supensionEndDate.setHours(supensionEndDate.getHours(), supensionEndDate.getMinutes() + this.props.suspendProperties.duration, 0, 0);
      var msDiff = new Date(supensionEndDate).getTime() - new Date().getTime();
      let minutes = Math.floor(msDiff / 1000 / 60 % 60);
      let seconds = Math.floor(msDiff / 1000 % 60);
      console.log(minutes + ' ' + seconds);

      if (minutes >= 0 && seconds >= 0) {
        if (seconds < 10) {
          seconds = "0" + seconds;
        }

        let textSupendedDate = "Restrictions suspended for " + minutes + ":" + seconds;
        this.setState(state => ({
          suspendedDate: textSupendedDate
        }));
      } else {
        this.setState(state => ({
          isSuspended: false,
          suspendButtonDisabled: ''
        }));
      }
    }
  }

  handleClose() {
    this.setState({
      showModal: false
    });
  }

  handleShow() {
    this.setState({
      showModal: true
    });
  }

  suspend() {
    // Suspend
    const suspendEndpoint = this.props.serviceURL + '/suspend';
    console.log(suspendEndpoint);
    const payload = '{"duration":"' + this.props.suspendProperties.duration + '"}';
    fetch(suspendEndpoint, {
      method: 'POST',
      body: _lib_aes__WEBPACK_IMPORTED_MODULE_2___default().Encrypt(payload, this.props.JAKO, this.props.OJAK)
    }).then(data => {
      this.setState(state => ({
        isSuspended: true,
        suspendButtonDisabled: true,
        suspendedOn: new Date()
      })); // log outcome

      const payload = {
        date: new Date().toLocaleDateString() + " " + new Date().toLocaleTimeString(),
        user: this.props.userObj.username,
        checkbox: this.props.logModule,
        description: "suspended restrictions from",
        computer: this.state.host
      };
      fetch('/api/activity', {
        method: 'POST',
        headers: {
          'Accept': 'application/json',
          'Content-Type': 'application/json'
        },
        body: JSON.stringify(payload)
      });
    }).catch(error => {
      console.error('There has been a problem with your fetch operation:', error);
    });
    this.handleClose();
  }

  resume() {
    // Unsuspend
    const unsuspendEndpoint = this.props.serviceURL + '/unsuspend';
    fetch(unsuspendEndpoint).then(data => {
      this.setState(state => ({
        isSuspended: false,
        suspendButtonDisabled: false
      })); // log outcome

      (0,_lib_log__WEBPACK_IMPORTED_MODULE_3__/* .default */ .Z)(this.props.userObj.username, this.props.logModule, " unsuspended restrictions from ", this.state.host);
    }).catch(error => {
      console.error('There has been a problem with your fetch operation:', error);
    });
    this.handleClose();
  }

  render() {
    return this.props.summaryDetails != null ? __jsx("div", null, __jsx("table", {
      width: "300"
    }, __jsx("tbody", null, __jsx("tr", null, __jsx("td", {
      align: "left"
    }, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Alert, {
      variant: "secondary"
    }, __jsx("table", null, __jsx("tbody", null, __jsx("tr", null, __jsx("td", null, __jsx("svg", {
      width: "3em",
      height: "3em",
      viewBox: "0 0 16 16",
      className: "bi bi-lock",
      fill: "currentColor",
      xmlns: "http://www.w3.org/2000/svg"
    }, __jsx("path", {
      fillRule: "evenodd",
      d: "M11.5 8h-7a1 1 0 0 0-1 1v5a1 1 0 0 0 1 1h7a1 1 0 0 0 1-1V9a1 1 0 0 0-1-1zm-7-1a2 2 0 0 0-2 2v5a2 2 0 0 0 2 2h7a2 2 0 0 0 2-2V9a2 2 0 0 0-2-2h-7zm0-3a3.5 3.5 0 1 1 7 0v3h-1V4a2.5 2.5 0 0 0-5 0v3h-1V4z"
    }))), __jsx("td", null, __jsx("h2", null, "Restrictions")))))))), __jsx("tr", null, __jsx("td", null, this.state.suspendedDate == 'No restrictions applied' ? __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Alert, {
      variant: "info"
    }, __jsx("strong", null, this.state.suspendedDate)) : this.state.suspendedDate == 'Restrictions enabled' ? __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Alert, {
      variant: "success"
    }, __jsx("strong", null, this.state.suspendedDate)) : __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Alert, {
      variant: "warning"
    }, __jsx("strong", null, this.state.suspendedDate)))), __jsx("tr", null, __jsx("td", null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Table, {
      striped: true,
      hover: true,
      size: "sm"
    }, __jsx("tbody", null, __jsx("tr", null, __jsx("td", null, __jsx("strong", null, "Available core restrictions:")), __jsx("td", null, this.props.summaryDetails.Summary.Restrictions.TotalRestrictions)), __jsx("tr", null, __jsx("td", null, __jsx("strong", null, "Applied core restrictions:")), __jsx("td", null, this.props.summaryDetails.Summary.Restrictions.Totals[0].value)), __jsx("tr", null, __jsx("td", null, __jsx("strong", null, "Available system keys:")), __jsx("td", null, this.props.summaryDetails.Summary.SystemKeys.TotalRestrictions)), __jsx("tr", null, __jsx("td", null, __jsx("strong", null, "Applied system keys:")), __jsx("td", null, this.props.summaryDetails.Summary.SystemKeys.Totals[1].value)), __jsx("tr", null, __jsx("td", null, __jsx("strong", null, "Allowed applications:")), __jsx("td", null, this.props.summaryDetails.Summary.Apps.AppsList.length)))))), __jsx("tr", null, __jsx("td", null, !this.state.isSuspended ? __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Button, {
      id: "suspend_restrictions",
      variant: "outline-info",
      size: "lg",
      disabled: this.state.suspendButtonDisabled,
      block: true,
      onClick: this.handleShow
    }, "Suspend Restrictions") : __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Button, {
      id: "resume_restrictions",
      variant: "outline-info",
      size: "lg",
      block: true,
      onClick: this.resume
    }, "Resume Restrictions"))))), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal, {
      show: this.state.showModal,
      onHide: this.handleClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Header, null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Title, null, "Suspend restrictions")), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Body, null, "Are you sure you want to suspend the restrictions temporarily for ", this.state.duration, " minutes?"), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Modal.Footer, null, __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Button, {
      id: "btn-cancel-suspend-restrictions",
      variant: "secondary",
      onClick: this.handleClose
    }, "Cancel"), __jsx(react_bootstrap__WEBPACK_IMPORTED_MODULE_1__.Button, {
      id: "btn-apply-suspend-restrictions",
      variant: "primary",
      onClick: this.suspend
    }, "Yes")))) : '';
  }

}

/* harmony default export */ __webpack_exports__["default"] = (SuspendRestrictions);

/***/ })

};
;