exports.id = 8837;
exports.ids = [8837];
exports.modules = {

/***/ 2217:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": function() { return /* binding */ log; }
/* harmony export */ });
function log(username, module, description, host, details) {
  let payload = {
    date: new Date().getTime(),
    user: username,
    module: module,
    description: description,
    computer: host
  };
  if (details) payload.details = details;
  fetch('/api/activity', {
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify(payload)
  });
}

/***/ }),

/***/ 8837:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9297);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(5777);
/* harmony import */ var react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(8622);
/* harmony import */ var react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(4019);
/* harmony import */ var react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(7140);
/* harmony import */ var react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(10);
/* harmony import */ var react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(3406);
/* harmony import */ var react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(7707);
/* harmony import */ var react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(6195);
/* harmony import */ var react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(4336);
/* harmony import */ var react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(9440);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(yup__WEBPACK_IMPORTED_MODULE_10__);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(7717);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(formik__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var _lib_log__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(2217);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(3730);
/* harmony import */ var _lib_aes__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(_lib_aes__WEBPACK_IMPORTED_MODULE_12__);

var __jsx = (react__WEBPACK_IMPORTED_MODULE_0___default().createElement);














class General extends (react__WEBPACK_IMPORTED_MODULE_0___default().Component) {
  constructor(props) {
    super(props);
    console.log(this.props);
    let schema = yup__WEBPACK_IMPORTED_MODULE_10__.object({
      lablockPort: yup__WEBPACK_IMPORTED_MODULE_10__.number().min(0).max(65535).required(),
      sessionExpiration: yup__WEBPACK_IMPORTED_MODULE_10__.number().min(5).max(60).required(),
      suspendRestrictionsTime: yup__WEBPACK_IMPORTED_MODULE_10__.number().min(1).max(480).required(),
      suspendRestrictionsHotkey: yup__WEBPACK_IMPORTED_MODULE_10__.string(),
      hotkeyPassword: yup__WEBPACK_IMPORTED_MODULE_10__.string().required(),
      hideUserNotifications: yup__WEBPACK_IMPORTED_MODULE_10__.bool(),
      brand: yup__WEBPACK_IMPORTED_MODULE_10__.string().max(30),
      windowsBackgroundImage: yup__WEBPACK_IMPORTED_MODULE_10__.string().matches(/^(.+)\\([^/]+)$/),
      snapshotsPath: yup__WEBPACK_IMPORTED_MODULE_10__.string().matches(/^(.+)\\([^/]+)$/).required(),
      backupRetentionPeriod: yup__WEBPACK_IMPORTED_MODULE_10__.number().min(1).max(30).required(),
      backupLocation: yup__WEBPACK_IMPORTED_MODULE_10__.string().matches(/^(.+)\\([^/]+)$/)
    });
    this.state = {
      showApplyModal: false,
      showErrorModal: false,
      schema: schema
    };

    if (this.props.generalSettings == null) {
      this.props.generalSettings = {};
    } // bind the action handlers


    this.handleApplyClose = this.handleApplyClose.bind(this);
    this.handleApplyShow = this.handleApplyShow.bind(this);
    this.handleApplyGeneralSettings = this.handleApplyGeneralSettings.bind(this);
    this.handleErrorClose = this.handleErrorClose.bind(this);
    this.handleErrorShow = this.handleErrorShow.bind(this);
  }

  componentDidMount() {
    var getUrl = window.location;
    console.log(getUrl.host);
    var hostIP = getUrl.host;
    this.setState(state => ({
      host: hostIP
    }));
  }

  handleApplyClose() {
    this.setState({
      showApplyModal: false
    });
  }

  handleApplyShow() {
    this.setState({
      showApplyModal: true
    });
  }

  handleApplyGeneralSettings(data) {
    console.log(data);
    console.log(this.props.generalSettings);
    let payload = {
      'lablockPort': data.lablockPort,
      'sessionExpiration': data.sessionExpiration,
      'suspendRestrictionsTime': data.suspendRestrictionsTime,
      'suspendRestrictionsHotkey': data.suspendRestrictionsHotkey,
      'hotkeyPassword': data.hotkeyPassword,
      'brand': data.brand,
      'hideUserNotifications': data.hideUserNotifications,
      'windowsBackgroundImage': data.windowsBackgroundImage,
      'windowsBackgroundImageStyle': 6,
      'snapshotsPath': data.snapshotsPath,
      'backupLocation': data.backupLocation,
      'backupRetentionPeriod': data.backupRetentionPeriod
    };
    const applyLablockSettingsEndpoint = this.props.serviceURL + '/lablocksettings';
    console.log(applyLablockSettingsEndpoint);
    payload = _lib_aes__WEBPACK_IMPORTED_MODULE_12___default().Encrypt(JSON.stringify(payload), this.props.JAKO, this.props.OJAK);
    fetch(applyLablockSettingsEndpoint, {
      method: 'POST',
      body: payload
    }).then(response => {
      this.handleApplyShow(); // log outcome

      if (data.lablockPort != this.props.generalSettings.lablockPort) (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, "changed lablock port from " + this.props.generalSettings.lablockPort + " to " + data.lablockPort + " from ", this.state.host);
      if (data.sessionExpiration != this.props.generalSettings.sessionExpiration) (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, "changed session expiration time from " + this.props.generalSettings.sessionExpiration + " minutes to " + data.sessionExpiration + " minutes from ", this.state.host);
      if (data.suspendRestrictionsTime != this.props.generalSettings.suspendRestrictionsTime) (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, "changed suspend restrictions time from " + this.props.generalSettings.suspendRestrictionsTime + " minutes to " + data.suspendRestrictionsTime + " minutes from ", this.state.host);
      if (data.suspendRestrictionsHotkey != this.props.generalSettings.suspendRestrictionsHotkey) (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " changed hotkey combination from " + this.props.generalSettings.suspendRestrictionsHotkey + " to " + data.suspendRestrictionsHotkey + " from ", this.state.host);
      if (data.hotkeyPassword != this.props.generalSettings.hotkeyPassword) (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " changed hotkey password from ", this.state.host);

      if (data.hideUserNotifications != this.props.generalSettings.hideUserNotifications) {
        if (data.hideUserNotifications == true) (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " activated hide user notifications from ", this.state.host);else (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " disabled hide user notifications from ", this.state.host);
      }

      if (data.brand != this.props.generalSettings.brand) {
        if (data.brand == "") (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " removed brand from ", this.state.host);else if (this.props.generalSettings.brand == "") (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " added " + data.brand + " brand from ", this.state.host);else (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " changed " + data.brand + " brand from ", this.state.host);
      }

      if (data.windowsBackgroundImage != this.props.generalSettings.windowsBackgroundImage) {
        if (data.windowsBackgroundImage == "") (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " removed background image from ", this.state.host);else if (this.props.generalSettings.brand == "") (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " added " + data.windowsBackgroundImage + " as background image ", this.state.host);else (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " changed background image from " + this.props.generalSettings.windowsBackgroundImage + " to " + data.windowsBackgroundImage + " from ", this.state.host);
      }

      if (data.snapshotsPath != this.props.generalSettings.snapshotsPath) (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " changed snapshot path from " + this.props.generalSettings.snapshotsPath + " to " + data.snapshotsPath + " from ", this.state.host);
      if (data.backupRetentionPeriod != this.props.generalSettings.backupRetentionPeriod) (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, "changed backup retention period from " + this.props.generalSettings.backupRetentionPeriod + " days to " + data.backupRetentionPeriod + " days from ", this.state.host);
      if (data.backupLocation != this.props.generalSettings.backupLocation) (0,_lib_log__WEBPACK_IMPORTED_MODULE_13__/* .default */ .Z)(this.props.user.username, this.props.logModule, " changed backups path from " + this.props.generalSettings.backupLocation + " to " + data.backupLocation + " from ", this.state.host);
    }).catch(error => {
      this.handleErrorShow();
      console.error('There has been a problem with your fetch operation:', error);
    });
  }

  handleErrorClose() {
    this.setState({
      showErrorModal: false
    });
  }

  handleErrorShow() {
    this.setState({
      showErrorModal: true
    });
  }

  render() {
    return __jsx((react__WEBPACK_IMPORTED_MODULE_0___default().Fragment), null, __jsx((react_bootstrap_Jumbotron__WEBPACK_IMPORTED_MODULE_3___default()), null, __jsx((react_bootstrap_Container__WEBPACK_IMPORTED_MODULE_2___default()), null, __jsx(formik__WEBPACK_IMPORTED_MODULE_11__.Formik, {
      validationSchema: this.state.schema,
      onSubmit: values => {
        console.log(values);
        this.handleApplyGeneralSettings(values);
      },
      initialValues: this.props.generalSettings
    }, ({
      handleSubmit,
      handleChange,
      handleBlur,
      values,
      touched,
      isValid,
      errors
    }) => __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default()), {
      onSubmit: handleSubmit
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "lablockPort"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Lablock port"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "3"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control), {
      name: "lablockPort",
      value: values.lablockPort,
      onChange: handleChange,
      onBlur: handleBlur,
      isInvalid: !!errors.lablockPort && touched.lablockPort
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control.Feedback), {
      type: "invalid"
    }, errors.lablockPort))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "sessionExpiration"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Session expiration"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "3"
    }, __jsx((react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8___default()), {
      className: "mb-2"
    }, __jsx((react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5___default()), {
      name: "sessionExpiration",
      value: values.sessionExpiration,
      onChange: handleChange,
      onBlur: handleBlur,
      isInvalid: !!errors.sessionExpiration && touched.sessionExpiration
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control.Feedback), {
      type: "invalid"
    }, errors.sessionExpiration && touched.sessionExpiration), __jsx((react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8___default().Prepend), null, __jsx((react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8___default().Text), null, "Minutes"))))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "suspensionTime"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Suspend restrictions time"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "3"
    }, __jsx((react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8___default()), {
      className: "mb-2"
    }, __jsx((react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5___default()), {
      name: "suspendRestrictionsTime",
      value: values.suspendRestrictionsTime,
      onChange: handleChange,
      onBlur: handleBlur,
      isInvalid: !!errors.suspendRestrictionsTime && touched.suspendRestrictionsTime
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control.Feedback), {
      type: "invalid"
    }, errors.suspendRestrictionsTime), __jsx((react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8___default().Prepend), null, __jsx((react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8___default().Text), null, "Minutes"))))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "suspendRestrictionsHotkey"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Suspend restrictions Hotkey combination"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "3"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control), {
      as: "select",
      defaultValue: values.suspendRestrictionsHotkey,
      onChange: handleChange
    }, __jsx("option", {
      value: "LControlKey+LWin+D7"
    }, "Control + Winkey + 7"), __jsx("option", {
      value: "LControlKey+LWin+D9"
    }, "Control + Winkey + 9"), __jsx("option", {
      value: "LControlKey+LWin+A"
    }, "Control + Winkey + A"), __jsx("option", {
      value: "LControlKey+LWin+Z"
    }, "Control + Winkey + Z"), __jsx("option", {
      value: "LControlKey+LWin+L"
    }, "Control + Winkey + L"), __jsx("option", {
      value: "LControlKey+ShiftKey+D7"
    }, "Control + Shift + 7"), __jsx("option", {
      value: "LControlKey+ShiftKey+D9"
    }, "Control + Shift + 9"), __jsx("option", {
      value: "LControlKey+ShiftKey+A"
    }, "Control + Shift + A"), __jsx("option", {
      value: "LControlKey+ShiftKey+Z"
    }, "Control + Shift + Z"), __jsx("option", {
      value: "LControlKey+ShiftKey+L"
    }, "Control + Shift + L")))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "hotkeyPassword"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Hotkey password"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "3"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control), {
      type: "password",
      value: values.hotkeyPassword,
      onChange: handleChange,
      onBlur: handleBlur,
      isInvalid: !!errors.hotkeyPassword && touched.hotkeyPassword
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control.Feedback), {
      type: "invalid"
    }, errors.hotkeyPassword))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "hideUserNotifications"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Hide user notifications"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: {
        span: 0,
        offset: 0
      }
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Check), {
      type: "switch",
      label: "",
      onChange: handleChange,
      defaultChecked: this.props.generalSettings.hideUserNotifications
    }))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "brand"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Brand"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "3"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control), {
      name: "brand",
      value: values.brand,
      onChange: handleChange,
      onBlur: handleBlur,
      isInvalid: !!errors.brand && touched.brand
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control.Feedback), {
      type: "invalid"
    }, errors.brand))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "windowsBackgroundImage"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Choose Windows Background image"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "5"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control), {
      name: "windowsBackgroundImage",
      value: values.windowsBackgroundImage,
      onChange: handleChange,
      onBlur: handleBlur,
      isInvalid: !!errors.windowsBackgroundImage && touched.windowsBackgroundImage
    }))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "snapshotsPath"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Snapshots path"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "5"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control), {
      name: "snapshotsPath",
      value: values.snapshotsPath,
      onChange: handleChange,
      onBlur: handleBlur,
      isInvalid: !!errors.snapshotsPath && touched.snapshotsPath
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control.Feedback), {
      type: "invalid"
    }, errors.snapshotsPath))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "backupRetentionPeriod"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Backups retention period"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "3"
    }, __jsx((react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8___default()), {
      className: "mb-2"
    }, __jsx((react_bootstrap_FormControl__WEBPACK_IMPORTED_MODULE_5___default()), {
      name: "backupRetentionPeriod",
      value: values.backupRetentionPeriod,
      onChange: handleChange,
      onBlur: handleBlur,
      isInvalid: !!errors.backupRetentionPeriod && touched.backupRetentionPeriod
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control.Feedback), {
      type: "invalid"
    }, errors.backupRetentionPeriod && touched.backupRetentionPeriod), __jsx((react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8___default().Prepend), null, __jsx((react_bootstrap_InputGroup__WEBPACK_IMPORTED_MODULE_8___default().Text), null, "Days"))))), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Group), {
      as: (react_bootstrap_Row__WEBPACK_IMPORTED_MODULE_6___default()),
      controlId: "backupLocation"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Label), {
      column: true,
      sm: "4"
    }, "Backups path"), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      sm: "5"
    }, __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control), {
      name: "backupLocation",
      value: values.backupLocation,
      onChange: handleChange,
      onBlur: handleBlur,
      isInvalid: !!errors.backupLocation && touched.backupLocation
    }), __jsx((react_bootstrap_Form__WEBPACK_IMPORTED_MODULE_4___default().Control.Feedback), {
      type: "invalid"
    }, errors.backupLocation))), __jsx((react_bootstrap_Col__WEBPACK_IMPORTED_MODULE_7___default()), {
      md: {
        span: 1,
        offset: 4
      }
    }, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-apply-restrictions",
      type: "submit",
      variant: "dark"
    }, "Apply")))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default()), {
      show: this.state.showApplyModal,
      onHide: this.handleApplyClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Header), {
      closeButton: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Title), null, "General settings")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Body), null, "Application settings applied successfully"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      id: "btn-cancel-generalsettings",
      variant: "secondary",
      onClick: this.handleApplyClose
    }, "Close"))), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default()), {
      show: this.state.showErrorModal,
      onHide: this.handleErrorClose,
      "aria-labelledby": "contained-modal-title-vcenter",
      centered: true
    }, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Header), null, __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Title), null, "Ops, something didn't work as expected")), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Body), null, "There has been an error when processing your request, please try again or contact support"), __jsx((react_bootstrap_Modal__WEBPACK_IMPORTED_MODULE_9___default().Footer), null, __jsx((react_bootstrap_Button__WEBPACK_IMPORTED_MODULE_1___default()), {
      variant: "secondary",
      onClick: this.handleErrorClose
    }, "Close"))))));
  }

}

/* harmony default export */ __webpack_exports__["default"] = (General);

/***/ })

};
;