import fs from 'fs'
import path from 'path'
import AES from '../../lib/aes'
import { Base64 as DefaultPath} from 'js-base64';

export default (req, res) => {

  const {
    query: params,
    method,
  } = req

  const opts = {
    "retries": 10,
    "wait": 1000
    // "retryWait": 500,
  }
  const logFile = path.join(process.cwd(), 'log', 'activity')
  
  var lockFile = require('lockfile')   
  lockFile.lock(logFile + '.lock', opts, function (er) {
    let data, decryptedData, dataDecoded;
    data = fs.readFileSync(logFile, 'utf8')

    try {
      decryptedData = AES.Decrypt(data, DefaultPath.decode(process.env.JAKO), DefaultPath.decode(process.env.OJAK))
    } catch (e) {
      fs.copyFile(logFile, logFile + '.ops', (err) => {
        if (err) throw err;
        console.log('corrupted log file was backed up and replaced');
      });      
      decryptedData = { activity:[] }
      decryptedData = JSON.stringify(decryptedData)
      console.log('DECRYPT:'+e)
    }

    try {
      dataDecoded = JSON.parse(decryptedData)
    } catch (e) {
      console.log('JSON PARSE:'+e)
      fs.writeFile(logFile, AES.Encrypt(JSON.stringify(JSON.stringify(dataDecoded)), DefaultPath.decode(process.env.JAKO), DefaultPath.decode(process.env.OJAK)), function (err) {  
        if (err) throw err;
        console.log('Saved!');
      });

    }
    
    switch (method) {
      case 'GET':
        console.log("GET")  
        res.status(200).end(dataDecoded);
        break;   
      case 'POST':  
          console.log("POST")  
          // console.log(dataDecoded)
          let obj 
          try{
            obj= JSON.parse(dataDecoded)
          } catch (e) {
            obj = dataDecoded
          }
          // console.log(obj)
          obj['activity'].unshift(req.body);
          // console.log(req.body)
          
          fs.writeFile(logFile, AES.Encrypt(JSON.stringify(JSON.stringify(obj)), DefaultPath.decode(process.env.JAKO), DefaultPath.decode(process.env.OJAK)), function (err) {  
            if (err) throw err;
            console.log('Saved!');
          });

          res.status(200).end()
        break;
    }
    lockFile.unlock(logFile + '.lock', function (er) {
      // er means that an error happened, and is probably bad.
      console.log("Error unlocking")
    })
  })  
}
