import sqlite3 from 'sqlite3'

export default (req, res) => {

    const {
        query: params,
        method,
    } = req

    let db = new sqlite3.Database('./db/lablock.db', (err) => {
        if (err) {
            console.error(err.message);
        } else {
            console.log('Connected to the lablock database.');
        }
    }); 
    
    switch (method) {
        case 'GET':
            // Get data from your database
            db.all('SELECT * FROM role', (error, results) => {
                if (error) throw error;
                console.log(JSON.stringify(results))
                res.status(200).end(JSON.stringify(results));
            });             
            break
        case 'POST':
            // Update or create data in your database
            let postData = req.body;
            console.log(postData)
            db.run('INSERT INTO role (name, description, group_name, group_type, status, dashboard, restrictions, settings, activity, import_export) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?)', 
                postData.name, postData.description, postData.group_name, postData.group_type, postData.status, postData.dashboard, postData.restrictions, postData.settings, postData.activity, postData.import_export,
                function (error) {
                    if (error) throw error;
                    let roleId = this.lastID.toString()
                    console.log(roleId);                
                    res.status(200).end(roleId);
            });             
            break
        default:
            res.setHeader('Allow', ['GET', 'POST'])
            res.status(405).end(`Method ${method} Not Allowed`)
    }    
  
    // close the database connection
    db.close();
 
  }  