import { withIronSession } from "next-iron-session";

export default withIronSession(
    async (req, res) => {
        try {
        if (req.method === "POST") {
            // const { user } = req.body;
            const { user, permissions } = req.body;
            console.log(user)
            console.log(permissions)

            req.session.set("user",  { user } );
            req.session.set("permissions", { permissions });
            await req.session.save();
            // console.log(req.session.get("user"))
            console.log("session saved")
            return res.status(201).send("");
        }

        return res.status(404).send("");
        } catch(error) {
            console.log(req.session.get("user"))
        }        
    },
    {
        cookieName: process.env.SESSION_COOKIE,
        cookieOptions: {
            secure: false,
            maxAge: process.env.SESSION_TIMEOUT * 60
        },
        password: process.env.APPLICATION_SECRET
    }
);