import dynamic from 'next/dynamic'
// import LoginForm from './layouts/LoginForm'
const LoginForm = dynamic(() => import('./layouts/LoginForm'))
import AES from '../lib/aes'
import { Base64 as DefaultPath} from 'js-base64';

export async function getServerSideProps() {
	require('dotenv').config()
	const serviceURL = process.env.SERVICE_URL;
  const JAKO = DefaultPath.decode(process.env.JAKO);
  const OJAK = DefaultPath.decode(process.env.OJAK);

  let regedit = require('regedit')
  await regedit.arch.list64('HKLM\\SOFTWARE\\LabLock\\KAgentService')
  .on('data', function(entry) {
    process.env.PORT = entry.data['values']['Port']['value']
    var os = require("os");
    var hostname = os.hostname();
    process.env.SERVICE_URL = 'http://' + hostname + ':' + entry.data['values']['Port']['value']
    console.log(process.env.PORT)
  })
  .on('finish', function () {
    console.log('list operation finished')
  })
  .on('error', function () {
    console.log('Not a Windows OS')
  })    
  console.log(process.env.SERVICE_URL)


  const res = await fetch(serviceURL + '/lablocksettings')
  var resEncoded = await res.text()
  const generalSettings = JSON.parse(AES.Decrypt(resEncoded, JAKO, OJAK))
  console.log(generalSettings)
  process.env.SESSION_TIMEOUT = generalSettings['sessionExpiration']

  return {
    props: {
      serviceURL,
      JAKO,
      OJAK
    }
  }    
}

const Index = ({serviceURL, JAKO, OJAK}) => (
  <>
    <main style={{ display: 'flex', flexDirection: 'column', alignItems: 'center'}}>
      <LoginForm serviceURL={serviceURL} JAKO={JAKO} OJAK={OJAK}/>
    </main>
  </>  
)

export default Index