import Button from 'react-bootstrap/Button'
import Modal from 'react-bootstrap/Modal'
import Table from 'react-bootstrap/Table'

class ActivityDetailsModal extends React.Component {
  constructor(props) {
    super(props);

    if (this.props.details != null) {    
      // set state variables
      this.state = {
        showModal: false,
        title: this.props.details.title,
        columns: this.props.details.columns
      };
    } else {
      this.state = {
        showModal: false,
        title: {},
        columns: []
      };      
    }

    // bind the action handlers
    this.handleClose = this.handleClose.bind(this);
    this.handleShow = this.handleShow.bind(this);
  }

  handleShow() {
    this.setState({showModal: true})
  }  
  handleClose() {
    this.setState({showModal: false})
  }

  render() {
  
    return (
        <>  
        <Button id="btn-show-role-details" variant="link" onClick={this.handleShow}>
            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" className="bi bi-zoom-in" viewBox="0 0 16 16">
                <path fillRule="evenodd" d="M6.5 12a5.5 5.5 0 1 0 0-11 5.5 5.5 0 0 0 0 11zM13 6.5a6.5 6.5 0 1 1-13 0 6.5 6.5 0 0 1 13 0z"/>
                <path d="M10.344 11.742c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1 6.538 6.538 0 0 1-1.398 1.4z"/>
                <path fillRule="evenodd" d="M6.5 3a.5.5 0 0 1 .5.5V6h2.5a.5.5 0 0 1 0 1H7v2.5a.5.5 0 0 1-1 0V7H3.5a.5.5 0 0 1 0-1H6V3.5a.5.5 0 0 1 .5-.5z"/>
            </svg>         
        </Button>    

        <Modal show={this.state.showModal} onHide={this.handleClose} aria-labelledby="contained-modal-title-vcenter" size="lg" centered>
          <Modal.Header closeButton>
            <Modal.Title>{this.state.title}</Modal.Title>
          </Modal.Header>
          <Modal.Body>
            <Table striped bordered hover>
                <thead>
                    <tr>
                        <th></th>
                        <th></th>
                    </tr>
                </thead>   
                <tbody>
                  {this.state.columns ? this.state.columns.map((line, index) => 
                    <tr key={index}>
                        <th>{line.title}</th>
                        <th>{line.value}</th>
                    </tr>
                  ) : ''}
                </tbody>         
            </Table>
              
          </Modal.Body>
          <Modal.Footer>
            <Button id="btn-close-role" variant="secondary" onClick={this.handleClose}>
              Close
            </Button>
          </Modal.Footer>
        </Modal>
        
        </>
        );
  } 
}

export default ActivityDetailsModal;