import Button from 'react-bootstrap/Button'
import Container from 'react-bootstrap/Container'
import Jumbotron from 'react-bootstrap/Jumbotron'
import Row from 'react-bootstrap/Row'
import Col from 'react-bootstrap/Col'
import InputGroup from 'react-bootstrap/InputGroup'
import FormControl from 'react-bootstrap/FormControl'
import OverlayTrigger from 'react-bootstrap/OverlayTrigger'
import Tooltip from 'react-bootstrap/Tooltip'
import DropdownButton from 'react-bootstrap/DropdownButton'
import Dropdown from 'react-bootstrap/Dropdown'
import { FaCog, FaPlusCircle } from "react-icons/fa";
import DropdownItem from 'react-bootstrap/DropdownItem'
import ButtonGroup from 'react-bootstrap/ButtonGroup'
import DropdownMenu from 'react-bootstrap/DropdownMenu'
import AES from '../../lib/aes'

class Apps extends React.Component {
	constructor(props) {
		super(props);

		if (this.props.sessionList != null) {
			this.state = {
				applications: this.props.applicationsAllowed.apps,
				change: ''
			};
		} else {
			this.state = {
				applications: [],
				change: ''
			};			
		}
		
		this.addApplication = this.addApplication.bind(this)    
		this.removeApplication = this.removeApplication.bind(this)    
		this.changeApplication = this.changeApplication.bind(this)    
		this.addInstalledPrograms = this.addInstalledPrograms.bind(this)    
		this.addRunningApplications = this.addRunningApplications.bind(this)
		this.clear = this.clear.bind(this)
	}

	addApplication() {
		this.state.applications.unshift({"path":""});
		console.log(this.state.applications)
		this.setState({change: ""})
		this.props.handleApplicationsAllowedChange(this.state.applications)
	}

	removeApplication(e) {
		console.log(e.target)
		this.state.applications.map((application, index) => {
			if (e.target.id == index) {
				this.state.applications.splice([index], 1);
			}
			return
		})
		console.log(this.state.applications)
		this.setState({change: ""})
		this.props.handleApplicationsAllowedChange(this.state.applications)
	}

	changeApplication(e){
		console.log(e.target)
		// this.setState({value: e.target.value});
		// let value = "{file:"+e.target.value+"}"
		// console.log(value)
		this.state.applications.map((application, index) => {
			if (e.target.id == index) {
				application.path = e.target.value
				console.log(e.target.value)
				this.setState({change: ""})
			}
			return
		})		
		console.log(this.state.applications)
		this.props.handleApplicationsAllowedChange(this.state.applications)
	}

	addInstalledPrograms(){
		// add installed programs paths if they are not present already
		var isInstalledPrograms = false
		var isInstalledPrograms86 = false
		this.state.applications.map((application) => {
			if (application.path == "C:\\Program Files\\") {
				isInstalledPrograms = true				
			}
			if (application.path == "C:\\Program Files\\") {
				isInstalledPrograms86 = true				
			}	
			if (isInstalledPrograms && isInstalledPrograms86) return		
		})		
		if (!isInstalledPrograms) {
			this.state.applications.unshift({"path":"C:\\Program Files\\"});
		}
		if (!isInstalledPrograms86) {
			this.state.applications.unshift({"path":"C:\\Program Files (x86)\\"});	
		}
		if (!isInstalledPrograms || !isInstalledPrograms86) {
			this.setState({change: ""})
			this.props.handleApplicationsAllowedChange(this.state.applications)		
		}
	}

	addRunningApplications(){
		// running processes endpoint
		const runningProcessesEndpoint = this.props.serviceURL + '/runningprocesses'
		fetch(runningProcessesEndpoint)
		.then(res => res.text())      
		.then(data => {
			// console.log(data)
			let responseDecoded = JSON.parse(AES.Decrypt(data, this.props.JAKO, this.props.OJAK))
			let executable
			responseDecoded.processes.map((application) => {
				executable = application.Caption
				var existingApp = false
				this.state.applications.map((app) => {
					if (executable == app.path){
						existingApp = true
						return
					}	
				})
				if (existingApp == false) {
					this.state.applications.unshift({"path": application.Caption})
				}
			})
			this.props.handleApplicationsAllowedChange(this.state.applications)	
			this.setState({change: ""})	
		})      
		.catch(error => {
		this.setState({showModal: false, showErrorModal: true})
		console.error('There has been a problem with your fetch operation:', error);
		}); 		
	}
	
	clear(){
		this.setState({applications: []}) 
		this.state.applications.length = 0
		this.props.handleApplicationsAllowedChange(this.state.applications)
		this.setState({change: ""})	
	}


    render(){
        return (
            <>   
				<Jumbotron>
					<Container>
						<h5>Allowed Applications
							<OverlayTrigger placement="right" overlay={<Tooltip id="button-tooltip">The applications and folder’s paths below are “White Listed” so they will be allowed to be executed</Tooltip>}>
                                <svg width="0.8em" height="1.8em" viewBox="0 10 16 16" className="bi bi-info-circle-fill" fill="grey" xmlns="http://www.w3.org/2000/svg">
                                    <path fillRule="evenodd" d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412l-2.29.287-.082.38.45.083c.294.07.352.176.288.469l-.738 3.468c-.194.897.105 1.319.808 1.319.545 0 1.178-.252 1.465-.598l.088-.416c-.2.176-.492.246-.686.246-.275 0-.375-.193-.304-.533L8.93 6.588zM8 5.5a1 1 0 1 0 0-2 1 1 0 0 0 0 2z" />
                                </svg>
                            </OverlayTrigger> 							
						</h5>
							{this.state.change}
							{this.state.applications.length > 0 ? 
							this.state.applications.map((application, index) => 
								<Row key={index}>
									<Col sm={7} className="my-1">
										{/* <Form.Label htmlFor="inlineFormInputGroupUsername" srOnly>
											Username
										</Form.Label> */}
										<InputGroup id={index}>
										<FormControl id={index} placeholder="Example.exe or c:\ExamplePath\" value={application.path} onChange={this.changeApplication}/>
											<InputGroup.Prepend>
												<Button id={index} variant="outline-dark" onClick={this.removeApplication}>-</Button>
											</InputGroup.Prepend>											
										</InputGroup>
									</Col>	
									{index==0 ?										
									<Col xs="auto" className="my-1">
										<OverlayTrigger key="add-application-tooltip" placement="top" overlay={<Tooltip id="button-tooltip">Add another application</Tooltip>}>
											<Button id="btn-add-application" variant="outline-dark" onClick={this.addApplication}>+</Button>
										</OverlayTrigger>
										<Dropdown as={ButtonGroup}>
											<Dropdown.Toggle id="dropdown-custom-1" variant="outline-dark"><FaCog/></Dropdown.Toggle>
											<DropdownMenu>
												<DropdownItem onClick={this.addInstalledPrograms}><FaPlusCircle/> Installed programs</DropdownItem>
												<DropdownItem onClick={this.addRunningApplications}><FaPlusCircle/> Running applications</DropdownItem>
												<Dropdown.Divider />
												<DropdownItem onClick={this.clear}>Clear</DropdownItem>
											</DropdownMenu>
										</Dropdown>
									</Col>	
									: ''}	
								</Row>
							) : 
							<Row id="0">
								<Col sm={7} className="my-1">
									<InputGroup id="0">
									<FormControl id="0" placeholder="Example.exe or c:\ExamplePath\" onChange={this.changeApplication}/>
										<InputGroup.Prepend>
											<Button id="0" variant="outline-dark" onClick={this.removeApplication}>-</Button>
										</InputGroup.Prepend>											
									</InputGroup>	
								</Col>						
								<Col xs="auto" className="my-1">
									<OverlayTrigger key="add-application-tooltip" placement="top" overlay={<Tooltip id="button-tooltip">Allow new application or path containing applications</Tooltip>}>
										<Button id="btn-add-application" variant="outline-dark" onClick={this.addApplication}>+</Button>
									</OverlayTrigger>
									<Dropdown as={ButtonGroup}>
										<Dropdown.Toggle id="dropdown-custom-1" variant="outline-dark"><FaCog/></Dropdown.Toggle>
										<DropdownMenu>
											<DropdownItem onClick={this.addInstalledPrograms}><FaPlusCircle/> Installed programs</DropdownItem>
											<DropdownItem onClick={this.addRunningApplications}><FaPlusCircle/> Running Applications</DropdownItem>
											<Dropdown.Divider />
											<DropdownItem onClick={this.clear}>Clear</DropdownItem>
										</DropdownMenu>
									</Dropdown>									
								</Col>		
							</Row>						
							} 
							
					</Container>
				</Jumbotron>
			</>
        );
  } 
}

export default Apps;