import { Alert, Table} from 'react-bootstrap'
import ModalRestart from './ModalRestart'
import ModalShutdown from './ModalShutdown'
import ModalLogoff from './ModalLogoff'


class ComputerDetails extends React.Component {
  constructor(props) {
    super(props);

  }


  render() {
        
    
    return (
        (this.props.summaryDetails != null) ? (
        <table width="820">
            <tbody>
            <tr>
                <td colSpan="2">
                <Alert variant="secondary">	
                    <table>
                        <tbody>
                            <tr>
                                <td>
                                <svg width="3em" height="3em" viewBox="0 0 16 16" className="bi bi-laptop" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                <path fillRule="evenodd" d="M13.5 3h-11a.5.5 0 0 0-.5.5V11h12V3.5a.5.5 0 0 0-.5-.5zm-11-1A1.5 1.5 0 0 0 1 3.5V12h14V3.5A1.5 1.5 0 0 0 13.5 2h-11z"/>
                                <path d="M0 12h16v.5a1.5 1.5 0 0 1-1.5 1.5h-13A1.5 1.5 0 0 1 0 12.5V12z"/>
                                </svg>
                                </td>
                                <td>
                                <h2>{this.props.computerDetails.computerName}</h2>
                                </td>
                            </tr>
                        </tbody>
                    </table>							 					
                </Alert>
                </td>
            </tr>
            <tr>							
                <td>
                    <Table size="sm">        
                        <tbody>            
                            <tr><td><strong>Manufacturer:</strong></td><td>{this.props.computerDetails.Manufacturer}</td></tr>
                            <tr><td><strong>Model:</strong></td><td>{this.props.computerDetails.Model}</td></tr>
                            <tr><td><strong>System type:</strong></td><td>{this.props.computerDetails.SystemType}</td></tr>                    
                            <tr><td><strong>Memory:</strong></td><td>{this.props.computerDetails.TotalPhysicalMemory}</td></tr>
                            <tr><td><strong>Avail. memory:</strong></td><td>{this.props.computerDetails.AvailablePtysicalMemory}</td></tr>
                            <tr><td><strong>System locale:</strong></td><td>{this.props.computerDetails.SystemLocale}</td></tr>
                            <tr><td><strong>Started time:</strong></td><td>{new Date(this.props.computerDetails.sessionStarted).toLocaleDateString(this.props.locale)} {new Date(this.props.computerDetails.sessionStarted).toLocaleTimeString(this.props.locale)}</td></tr>					
                        </tbody>
                    </Table>
                </td>
                <td>
                    <Table size="sm">
                        <tbody>  
                            <tr><td><strong>OS Name:</strong></td><td>{this.props.computerDetails.OSName}</td></tr>
                            <tr><td><strong>OS Version:</strong></td><td>{this.props.computerDetails.OSVersion}</td></tr>
                            <tr><td><strong>OS Config:</strong></td><td>{this.props.computerDetails.OSConfig}</td></tr>
                            <tr><td><strong>Product ID:</strong></td><td>{this.props.computerDetails.ProductID}</td></tr>
                            <tr><td><strong>Platform:</strong></td><td>{this.props.computerDetails.OSPlatform}</td></tr>						                    
                            <tr><td><strong>Build type:</strong></td><td>{this.props.computerDetails.OSBuildType}</td></tr>                       
                            <tr><td><strong>Release ID:</strong></td><td>{this.props.computerDetails.OSVersionText}</td></tr>									
                        </tbody>  
                    </Table>
                </td>				
            </tr>
            <tr>
                <td colSpan="2" >
                    <table>
                        <tbody>
                            <tr>
                                
                                <td>                            
                                <ModalShutdown serviceURL={this.props.serviceURL} proxyURL={this.props.proxyURL} logModule={this.props.logModule} user={this.props.userObj}/>							    		                        
                                </td>
                                <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                                <td>
                                <ModalRestart serviceURL={this.props.serviceURL} proxyURL={this.props.proxyURL} logModule={this.props.logModule} user={this.props.userObj}/>							    		 
                                </td>
                                <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                                <td>
                                <ModalLogoff serviceURL={this.props.serviceURL} proxyURL={this.props.proxyURL} logModule={this.props.logModule} user={this.props.userObj}/>					
                                </td>
                                
                            </tr>
                        </tbody>
                    </table>				 															
                </td>
            </tr>
        </tbody>
    </table> 
        ) : ''
    );
  } 
}

export default ComputerDetails;