import ToggleButton from 'react-bootstrap/ToggleButton'
import ToggleButtonGroup from 'react-bootstrap/ToggleButtonGroup'
// import ToggleButtonGroup from '@material-ui/lab/ToggleButtonGroup';
// import ToggleButton from '@material-ui/lab/ToggleButton';

class DriveSelectionRestriction extends React.Component {
  constructor(props) {
    super(props); 

    if (this.props.items == null){
      this.state = {
        items: []
      }
    } else {
      let driveSet = []
      this.props.items.map((component) => {	
        console.log(component)
        if (component.restrictionTag.startsWith('SYS_DisableDrive'))	{
          driveSet.push(component)
        }
      })
      this.state = {
        items: driveSet
      }      
    }

    this.handleChange = this.handleChange.bind(this);
  }
    
	addLabel(searchVal) {

		let label
		this.props.components.configs.map((component) => {
			if (component.restrictionTag == searchVal)
				label = component.restrictionLabel
			return label;
		}
		);
		return label;
  }

	handleChange(e) {
    this.props.handleRestrictionsChange(e)
  }

  render() {
  
    return (
        <>  
          <br/>
          <h5>Disable Access to Drives on File Explorer</h5>

          <ToggleButtonGroup type="checkbox" className="mb-2" >
          { this.state.items.map((component, index) => 	
            component.restrictionTag.startsWith('SYS_DisableDrive') && index < 14 ? 
              <ToggleButton id={component.restrictionTag} key={component.restrictionTag} onChange={this.handleChange} variant="outline-dark" value={component.restrictionTag}>{this.addLabel(component.restrictionTag)}</ToggleButton> 
            : ''              
          )}
          </ToggleButtonGroup>
          <ToggleButtonGroup type="checkbox" className="mb-2" >
          { this.state.items.map((component, index) => 	
            component.restrictionTag.startsWith('SYS_DisableDrive') && index > 13 ? 
              <ToggleButton id={component.restrictionTag} key={component.restrictionTag} onChange={this.handleChange} variant="outline-dark" value={component.restrictionTag}>{this.addLabel(component.restrictionTag)}</ToggleButton> 
            : ''              
          )}
          </ToggleButtonGroup>          
        </>
        );
  } 
}

export default DriveSelectionRestriction;