import Button from 'react-bootstrap/Button'
import Modal from 'react-bootstrap/Modal'
import OverlayTrigger from 'react-bootstrap/OverlayTrigger'
import Tooltip from 'react-bootstrap/Tooltip'
import ModalRequestError from './ModalRequestError'
import log from '../../lib/log'

class ModalLogoff extends React.Component {
  constructor(props) {
    super(props);
    // set state variables
    this.state = {
      showModal: false,
      showErrorModal: false
    };
    // bind the action handlers
    this.logoff = this.logoff.bind(this);
    this.handleClose = this.handleClose.bind(this);
    this.handleShow = this.handleShow.bind(this);
    this.handleErrorClose = this.handleErrorClose.bind(this);
    this.handleErrorShow = this.handleErrorShow.bind(this);    
  }

  handleClose() {
    this.setState({showModal: false})
  }

  handleShow() {
    this.setState({showModal: true})      
  }

	componentDidMount(){
		var getUrl = window.location;		
		console.log(getUrl.host)
		var hostIP = getUrl.host
		this.setState(state => ({host: hostIP}))
  }
    
  logoff() {
    // Logoff
      const logoffEndpoint =  this.props.serviceURL + '/logoff'
      console.log(logoffEndpoint)

      fetch(logoffEndpoint)
      // .then(response => response.json())
      .then(response => {
        this.setState({showModal: false})
        // log outcome
        log(this.props.user.username, this.props.logModule, " logged off sessions from ", this.state.host)     
      })      
      .catch(error => {
        this.setState({showModal: false, showErrorModal: true})
        console.error('There has been a problem with your fetch operation:', error);
      });       
    
  }

  handleErrorClose() {
    this.setState({
        showErrorModal: false
    })
  }

  handleErrorShow() {
      this.setState({
          showErrorModal: true
      })  
  }

  render() {
  
    return (
        <>  

        <OverlayTrigger placement="bottom" overlay={<Tooltip id="button-tooltip-2">Log Off</Tooltip>}>					
          <Button id="btn-logoff" variant="outline-info" onClick={this.handleShow}>
            <svg width="14em" height="2em" viewBox="0 0 16 16" className="bi bi-box-arrow-in-right" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                <path fillRule="evenodd" d="M8.146 11.354a.5.5 0 0 1 0-.708L10.793 8 8.146 5.354a.5.5 0 1 1 .708-.708l3 3a.5.5 0 0 1 0 .708l-3 3a.5.5 0 0 1-.708 0z"/>
                <path fillRule="evenodd" d="M1 8a.5.5 0 0 1 .5-.5h9a.5.5 0 0 1 0 1h-9A.5.5 0 0 1 1 8z"/>
                <path fillRule="evenodd" d="M13.5 14.5A1.5 1.5 0 0 0 15 13V3a1.5 1.5 0 0 0-1.5-1.5h-8A1.5 1.5 0 0 0 4 3v1.5a.5.5 0 0 0 1 0V3a.5.5 0 0 1 .5-.5h8a.5.5 0 0 1 .5.5v10a.5.5 0 0 1-.5.5h-8A.5.5 0 0 1 5 13v-1.5a.5.5 0 0 0-1 0V13a1.5 1.5 0 0 0 1.5 1.5h8z"/>
            </svg>
          </Button>
        </OverlayTrigger>	

        <Modal show={this.state.showModal} onHide={this.handleClose} aria-labelledby="contained-modal-title-vcenter" centered>
          <Modal.Header closeButton>
            <Modal.Title>Close computer session</Modal.Title>
          </Modal.Header>
          <Modal.Body>Are you sure you want to close your session?</Modal.Body>
          <Modal.Footer>
            <Button id="btn-cancel-logoff" variant="secondary" onClick={this.handleClose}>
              Cancel
            </Button>
            <Button id="btn-apply-logoff" variant="primary" onClick={this.logoff}>
              Continue
            </Button>
          </Modal.Footer>
        </Modal>

        {/* <ModalRequestError showErrorModal={this.state.showErrorModal} /> */}
        <Modal show={this.state.showErrorModal} onHide={this.handleErrorClose} aria-labelledby="contained-modal-title-vcenter" centered>
            <Modal.Header>
                <Modal.Title>Ops, something didn't work as expected</Modal.Title>
            </Modal.Header>
            <Modal.Body>There has been an error when processing your request, please try again or contact support</Modal.Body>
            <Modal.Footer>
                <Button variant="secondary" onClick={this.handleErrorClose}>
                Close
                </Button>
            </Modal.Footer>
        </Modal>          
        </>
        );
  } 
}

export default ModalLogoff;