import Button from 'react-bootstrap/Button'
import Modal from 'react-bootstrap/Modal'
import React, { useState, setShow } from 'react';
import OverlayTrigger from 'react-bootstrap/OverlayTrigger'
import Tooltip from 'react-bootstrap/Tooltip'
import log from '../../lib/log'

class ModalShutdown extends React.Component {

  constructor(props) {
    super(props);
    // set state variables
    this.state = {
      showModal: false
    };
    // bind the action handlers
    this.shutdown = this.shutdown.bind(this);
    this.handleClose = this.handleClose.bind(this);
    this.handleShow = this.handleShow.bind(this);
    this.handleErrorClose = this.handleErrorClose.bind(this);
    this.handleErrorShow = this.handleErrorShow.bind(this);    
  }


	componentDidMount(){
		var getUrl = window.location;		
		console.log(getUrl.host)
		var hostIP = getUrl.host
		this.setState(state => ({host: hostIP}))
  }

  handleClose() {
    this.setState({showModal: false})
  }

  handleShow() {
    this.setState({showModal: true})  
  }

  shutdown() {

    // Shutdown
    const shutdownEndpoint =  this.props.serviceURL + '/shutdown'
    //console.log(shutdownEndpoint)
    fetch(shutdownEndpoint)
    // .then(response => response.json())
    .then(response => {
      this.setState({showModal: false})
      // log outcome
      log(this.props.user.username, this.props.logModule, " shutdown PC from ", this.state.host)     
    })      
    .catch(error => {
      this.setState({showModal: false, showErrorModal: true})
      console.error('There has been a problem with your fetch operation:', error);
    }); 
 
  }

  handleErrorClose() {
    this.setState({
        showErrorModal: false
    })
  }

  handleErrorShow() {
      this.setState({
          showErrorModal: true
      })  
  }
  
  render() {
  
    return (
        <>            
          <OverlayTrigger placement="bottom" overlay={<Tooltip id="button-tooltip-2">Shutdown</Tooltip>}>
            <Button  id="btn-shutdown" variant="outline-info" onClick={this.handleShow}>
                <svg  width="14em" height="2em" viewBox="0 0 16 16" className="bi bi-power" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                <path fillRule="evenodd" d="M5.578 4.437a5 5 0 1 0 4.922.044l.5-.866a6 6 0 1 1-5.908-.053l.486.875z"/>
                <path fillRule="evenodd" d="M7.5 8V1h1v7h-1z"/>
                </svg>
            </Button> 
          </OverlayTrigger>
   
        <Modal show={this.state.showModal} onHide={this.handleClose} aria-labelledby="contained-modal-title-vcenter" centered>
          <Modal.Header closeButton>
            <Modal.Title>Shutdown Computer</Modal.Title>
          </Modal.Header>
          <Modal.Body>Are you sure you want to shutdown your computer?</Modal.Body>
          <Modal.Footer>
            <Button id="btn-cancel-shutdown" variant="secondary" onClick={this.handleClose}>
              Cancel
            </Button>
            <Button id="btn-proceed-shutdown" variant="primary" onClick={this.shutdown}>
              Continue
            </Button>
          </Modal.Footer>
        </Modal>

        <Modal show={this.state.showErrorModal} aria-labelledby="contained-modal-title-vcenter" centered>
            <Modal.Header closeButton>
                <Modal.Title>Ops, something didn't work as expected</Modal.Title>
            </Modal.Header>
            <Modal.Body>There has been an error when processing your request, please try again or contact support</Modal.Body>
            <Modal.Footer>
                <Button variant="secondary" onClick={this.handleErrorClose}>
                Close
                </Button>
            </Modal.Footer>
        </Modal>          
        </>
        );
  } 
}

export default ModalShutdown;