import { Alert } from 'react-bootstrap'

import React from 'react';
import { PieChart, Pie, Tooltip, Legend, Cell, BarChart, Bar, CartesianGrid, XAxis, YAxis } from 'recharts';


import {AgGridColumn, AgGridReact} from 'ag-grid-react';
import 'ag-grid-community/dist/styles/ag-grid.css';
import 'ag-grid-community/dist/styles/ag-theme-alpine.css';

class RestrictionsSummary extends React.Component {
  constructor(props) {
    super(props);
  
  }


  render() {
        
    //consts for summary ==>
    const ColorsRestTotals = [ '#FF8042', '#214253','#0088FE', '#306a9c', '#FFBB28'];  

    const gridStyle = { minHeight: 350, marginTop: 10 };
    const columnsRestrictions = [
    { name: 'Label', type: 'string', defaultFlex: 2, header: 'Restriction', defaultVisible: true },
    { name: 'restrictionDesc', defaultFlex: 2, header: 'Description' },
    { name: 'restrictionArea', maxWidth: 120, header: 'Area' }
    ];
    return (
       (this.props.summaryDetails != null) ? (
        <table>
            <tbody>
				<tr>
					<td colSpan="3">
					<div className="summary-jumbotron">
						<h3>Core Restrictions Summary</h3>					
					</div>
					
					</td>
				</tr>
				<tr>
					<td>
						<Alert variant="light">				
						<strong>Total VS Applied</strong>
						</Alert>
					</td>
					<td>
						<Alert variant="light">				
						<strong>Applied by section</strong>
						</Alert>
					</td>
					<td>
						<Alert variant="light">				
						<strong>Total VS Applied by Section</strong>
						</Alert>
					</td>
				</tr>
				<tr>
					<td valign="top">
						<PieChart width={350} height={350}>
							<Legend verticalAlign="top" height={16}/>
							<Pie dataKey="value"																			
							data={this.props.summaryDetails.Summary.Restrictions.Totals}
							cx="50%"
							cy="50%"
							outerRadius={80}				
							label>										
								{this.props.summaryDetails.Summary.Restrictions.Totals.map((entry, index) => (
									<Cell key={`cell-${index}`} fill={ColorsRestTotals[index % ColorsRestTotals.length]} />
								))}
							</Pie>			
							<Tooltip />
						</PieChart>
					</td>
					<td valign="top">
						<PieChart width={350} height={350}>
							<Legend verticalAlign="top" height={16}/>
							<Pie dataKey="value"																			
							data={this.props.summaryDetails.Summary.Restrictions.AppliedByArea}
							cx="50%"
							cy="50%"
							outerRadius={80}				
							label>										
								{this.props.summaryDetails.Summary.Restrictions.AppliedByArea.map((entry, index) => (
									<Cell key={`cell-${index}`} fill={ColorsRestTotals[index % ColorsRestTotals.length]} />
								))}
							</Pie>			
							<Tooltip />
						</PieChart>
					</td>
					<td>
					<BarChart
						width={405}
						height={350}
						data={this.props.summaryDetails.Summary.Restrictions.AppliedByAreaTotal}
						margin={{
							top: 20,
							right: 10,
							left: 10,
							bottom: 5,
						}}
						>
						<CartesianGrid strokeDasharray="3 3" />
						<XAxis dataKey="name" />
						<YAxis />
						<Tooltip />
						<Legend verticalAlign="top" height={36}/>
						<Bar dataKey="applied" stackId="a" fill="#8884d8" />
						<Bar dataKey="total" stackId="a" fill="#82ca9d" />
						
					</BarChart>
					</td>
				</tr>
				<tr>
					<td colSpan="3">
						
					<div className="ag-theme-alpine" style={{height: 350, width: "100%", marginTop: 15}}>
						<AgGridReact
							rowData={this.props.summaryDetails.Summary.Restrictions.AppliedList}>
							<AgGridColumn width="320" headerName="Restriction" field="Label" sortable={ true } filter={ true }></AgGridColumn>
							<AgGridColumn width="650" headerName="Description" field="restrictionDesc" sortable={ true } filter={ true }></AgGridColumn>
							<AgGridColumn width="120" headerName="Area" field="restrictionArea" sortable={ true } filter={ true }></AgGridColumn>
						</AgGridReact>
					</div>					
					</td>
				</tr>
				<tr><td colSpan="3">&nbsp;</td></tr>
			</tbody>
		</table>
        ) : ''
      
    );
  } 
}

export default RestrictionsSummary;