import Form from 'react-bootstrap/Form'
import Button from 'react-bootstrap/Button'
import Container from 'react-bootstrap/Container'
import Jumbotron from 'react-bootstrap/Jumbotron'
import Row from 'react-bootstrap/Row'
import Col from 'react-bootstrap/Col'
import ToggleButton from 'react-bootstrap/ToggleButton'
import ToggleButtonGroup from 'react-bootstrap/ToggleButtonGroup'
import InputGroup from 'react-bootstrap/InputGroup'
import FormControl from 'react-bootstrap/FormControl'
import OverlayTrigger from 'react-bootstrap/OverlayTrigger'
import Tooltip from 'react-bootstrap/Tooltip'

class Startup extends React.Component {
	constructor(props) {
		super(props);

		// console.log(this.props.startupPrograms)
		if (this.props.startupPrograms != null) {
			this.state = {
				startup: this.props.startupPrograms.startup,
				change: ''
			};
		} else {
			this.state = {
				startup: [],
			}
		}
		
		this.addProgram = this.addProgram.bind(this)    
		this.removeProgram = this.removeProgram.bind(this)    
		this.changeProgram = this.changeProgram.bind(this)    
	}

	addProgram() {
		this.state.startup.unshift({"file":""});
		console.log(this.state.startup)
		this.setState({change: ""})
		this.props.handleStartupProgramsChange(this.state.startup)
	}

	removeProgram(e) {
		console.log(e.target)
		this.state.startup.map((program, index) => {
			if (e.target.id == index) {
				this.state.startup.splice([index], 1);
			}
			return
		})
		console.log(this.state.startup)
		this.setState({change: ""})
		this.props.handleStartupProgramsChange(this.state.startup)
	}

	changeProgram(e){
		console.log(e.target)
		// this.setState({value: e.target.value});
		// let value = "{file:"+e.target.value+"}"
		// console.log(value)
		this.state.startup.map((program, index) => {
			if (e.target.id == index) {
				program.file = e.target.value
				 console.log(e.target.value)
				 this.setState({change: ""})
			}
			return
		})		
		console.log(this.state.startup)
		this.props.handleStartupProgramsChange(this.state.startup)
	}

    render(){
        return (
            <>   
				<Jumbotron>
					<Container>
						<h5>Startup Programs</h5>
							{this.state.change}
							{this.state.startup.length > 0 ? 
							this.state.startup.map((program, index) => 
								<Row key={index}>
									<Col sm={7} className="my-1">
										{/* <Form.Label htmlFor="inlineFormInputGroupUsername" srOnly>
											Username
										</Form.Label> */}
										<InputGroup id={index}>
										<FormControl id={index} placeholder="Executable or command" value={program.file} onChange={this.changeProgram}/>
											<InputGroup.Prepend>
												<Button id={index} variant="outline-dark" onClick={this.removeProgram}>-</Button>
											</InputGroup.Prepend>											
										</InputGroup>
									</Col>	
									{index==0 ?										
									<Col xs="auto" className="my-1">
										<OverlayTrigger key="add-program-tooltip" placement="top" overlay={<Tooltip id="button-tooltip">Add another program</Tooltip>}>
											<Button id="btn-add-program" variant="outline-dark" onClick={this.addProgram}>+</Button>
										</OverlayTrigger>
									</Col>	
									: ''}	
								</Row>
							) : 
							<Row id="0">
								<Col sm={7} className="my-1">
									<InputGroup id="0">
									<FormControl id="0" placeholder="Executable or command" onChange={this.changeProgram}/>
										<InputGroup.Prepend>
											<Button id="0" variant="outline-dark" onClick={this.removeProgram}>-</Button>
										</InputGroup.Prepend>											
									</InputGroup>	
								</Col>						
								<Col xs="auto" className="my-1">
									<OverlayTrigger key="add-program-tooltip" placement="top" overlay={<Tooltip id="button-tooltip">Add another program</Tooltip>}>
										<Button id="btn-add-program" variant="outline-dark" onClick={this.addProgram}>+</Button>
									</OverlayTrigger>
								</Col>		
							</Row>						
							} 
							
					</Container>
				</Jumbotron>
			</>
        );
  } 
}

export default Startup;