import Jumbotron from 'react-bootstrap/Jumbotron'
import Button from 'react-bootstrap/Button'
import Container from 'react-bootstrap/Container'
import Modal from 'react-bootstrap/Modal'
import Row from 'react-bootstrap/Row'
import Col from 'react-bootstrap/Col'
import Alert from 'react-bootstrap/Alert'
import AES from '../../lib/aes'
import log from '../../lib/log'

class RestrictionsControlMenu extends React.Component {

	constructor(props) {
        super(props);

        // set state variables
        this.state = {
          applicationsAllowed: this.props.applicationsAllowed,
          restrictions: this.props.restrictions,
          showUndoModal: false,
          showApplyModal: false,
          showApplyConfimationModal: false,
          logModule: 'restrictions'
        };
    
        // bind the action handlers
        this.handleApplyConfirmationClose = this.handleApplyConfirmationClose.bind(this);
        this.handleApplyClose = this.handleApplyClose.bind(this);
        this.handleApplyShow = this.handleApplyShow.bind(this);  
        this.handleResetClose = this.handleResetClose.bind(this);
        this.handleResetShow = this.handleResetShow.bind(this);  
        this.applyRestrictions = this.applyRestrictions.bind(this);
        this.resetRestrictions = this.resetRestrictions.bind(this);
        this.handleUndoClose = this.handleUndoClose.bind(this);
        this.handleUndoShow = this.handleUndoShow.bind(this);    
        this.undoNotSavedRestrictions = this.undoNotSavedRestrictions.bind(this)    
    }

	componentDidMount(){
		var getUrl = window.location;		
		console.log(getUrl.host)
		var hostIP = getUrl.host
		this.setState(state => ({host: hostIP}))
    }    

    handleUndoClose() {
        this.setState({showUndoModal: false})
    }
    
    handleUndoShow() {
        this.setState({showUndoModal: true})  
    }

    undoNotSavedRestrictions() {
        // reload page instead of refresh the settings object
        window.location.reload(false);
    }

    handleApplyConfirmationClose() {
        this.setState({showApplyConfimationModal: false})
    }
    
    handleApplyConfimationShow() {
        this.setState({showApplyConfimationModal: true})  
    }

    handleApplyClose() {
        this.setState({showApplyModal: false})
    }
    
    handleApplyShow() {
        this.setState({showApplyModal: true})  
    }

    handleResetClose() {
        this.setState({showResetModal: false})
    }
    
    handleResetShow() {
        this.setState({showResetModal: true})  
    }

    applyRestrictions() {
        // apply registry restrictions        
        this.calculateDriveValue()        
        console.log(JSON.stringify(this.state.restrictions))
        
        const applyRestrictionsEndpoint = this.props.serviceURL + '/settings'
        console.log(applyRestrictionsEndpoint)
        fetch(applyRestrictionsEndpoint, {
            method: 'POST',
            body: AES.Encrypt(JSON.stringify(this.state.restrictions), this.props.JAKO, this.props.OJAK)
        })
        .then(response => {
            this.setState({showApplyConfimationModal: true, showApplyModal: false})
        })
        .catch(error => {
            this.setState({showApplyModal: false})
            console.error('There has been a problem with your fetch operation:', error);
        });   

        console.log(JSON.stringify(this.props.syskeys))

        // Apply syskeys restrictions
        const applySyskeysEndpoint = this.props.serviceURL + '/syskeys'
        console.log(applySyskeysEndpoint)
        fetch(applySyskeysEndpoint, {
            method: 'POST',
            body: AES.Encrypt(JSON.stringify(this.props.syskeys), this.props.JAKO, this.props.OJAK)
        })
        .then(response => {
            this.setState(state => ({showApplyConfimationModal: true, showApplyModal: false}))
        })
        .catch(error => {
            this.setState(state => ({showApplyModal: false}))
            console.error('There has been a problem with your fetch operation:', error);
        });   
        
        // apply applications allowed 
        const applyApplicationsAllowedEndpoint = this.props.serviceURL + '/appblocker'
        console.log(applyApplicationsAllowedEndpoint)
        // add task manager taskmgr.exe and clean up "empty" apps
        var found = false
        this.state.applicationsAllowed.apps.map((allowedApp, index) => {
            if (allowedApp.path == "taskmgr.exe") {
                found = true                
            }
            // if (allowedApp.path == "") {
            while (this.state.applicationsAllowed.apps[index] && this.state.applicationsAllowed.apps[index].path == "") {
                this.state.applicationsAllowed.apps.splice([index], 1);
            }
        })
        if (found == false && this.state.applicationsAllowed.apps.length > 0) {
            this.state.applicationsAllowed.apps.push({path: "taskmgr.exe"})
        }
        console.log(JSON.stringify(this.state.applicationsAllowed))        
        fetch(applyApplicationsAllowedEndpoint, {
            method: 'POST',
            body: AES.Encrypt(JSON.stringify(this.state.applicationsAllowed), this.props.JAKO, this.props.OJAK)
        })
        .then(response => {
            this.setState(state => ({showApplyConfimationModal: true, showApplyModal: false}))
        })
        .catch(error => {
            this.setState(state => ({showApplyModal: false}))
            console.error('There has been a problem with your fetch operation:', error);
        });          

        console.log(JSON.stringify(this.props.startupPrograms))
        // apply startup programs 
        const applyStartupEndpoint = this.props.serviceURL + '/startup'
        console.log(applyStartupEndpoint)
        // clean up "empty" startup paths submitted
        this.props.startupPrograms.startup.map((programPath, index) => {
            if (this.props.startupPrograms.startup[index]) {
                while (this.props.startupPrograms.startup[index].file == "") {
                    this.props.startupPrograms.startup.splice([index], 1);
                }
            }
        })        
        console.log(JSON.stringify(this.props.startupPrograms))

        fetch(applyStartupEndpoint, {
            method: 'POST',
            body: AES.Encrypt(JSON.stringify(this.props.startupPrograms), this.props.JAKO, this.props.OJAK)
        })
        .then(response => {
            this.setState(state => ({showApplyConfimationModal: true, showApplyModal: false}))
        })
        .catch(error => {
            this.setState(state => ({showApplyModal: false}))
            console.error('There has been a problem with your fetch operation:', error);
        });       
        
        // apply firewall rules
        const firewallEndpoint = this.props.serviceURL + '/windowsfirewall'
        console.log(firewallEndpoint)
        console.log(this.props.firewallRules)
        this.props.firewallRules.map((rule) => 
        {
            var action = rule.Operation
            var winFireWallRuleList = []
            
            console.log(action)
            if (action) {
                if (action == "Create") {
                    winFireWallRuleList.push(rule)
                    var lablockRule = {
                        "Action": action,
                        "WinFirewallRuleList" : winFireWallRuleList
                    }
                } else if (action == "Delete") {                    
                    var name = rule.labLockName
                    var deleteRule = { "labLockName" : name}
                    winFireWallRuleList.push(deleteRule)
                    var lablockRule = {
                        "Action": action,
                        "WinFirewallRuleList" : winFireWallRuleList
                    }                    
                }

                fetch(firewallEndpoint, {
                    method: 'POST',
                    body: AES.Encrypt(JSON.stringify(lablockRule), this.props.JAKO, this.props.OJAK)
                })
                .then(response => {
                    this.setState(state => ({showApplyConfimationModal: true, showApplyModal: false}))
                })
                .catch(error => {
                    this.setState(state => ({showApplyModal: false}))
                    console.error('There has been a problem with your fetch operation:', error);
                });     
            }  

        });

        let restrictionsValue = ''
        this.props.restrictions.settings.map((restriction) => {
            restrictionsValue += restriction.tag + ', '
        })
        restrictionsValue = restrictionsValue.substring(0, restrictionsValue.length-2)

        let systemKeysValue = ''
        this.props.syskeys.SystemKeys.map((systemKeys) => {
            systemKeysValue += systemKeys.id + ', '
        })
        systemKeysValue = systemKeysValue.substring(0, systemKeysValue.length-2)

        let appsValue = ''
        this.props.applicationsAllowed.apps.map((app) => {
            appsValue += app.path + ', '
        })
        appsValue = appsValue.substring(0, appsValue.length-2)
        
        let startupProgramsValue = ''
        this.props.startupPrograms.startup.map((startup) => {
            startupProgramsValue += startup.file + ', ' 
        })
        startupProgramsValue = startupProgramsValue.substring(0, startupProgramsValue.length-2)

        let firewallRulesValue = ''
        this.props.firewallRules.map((firewallRule) => {
            firewallRulesValue += firewallRule.Name + ', '
        })
        firewallRulesValue = firewallRulesValue.substring(0, firewallRulesValue.length-2)

        let logDetails = {
            'title': 'Restrictions applied',
            'columns' : [
                {
                    'title': 'General',
                    'value': restrictionsValue
                },
                {
                    'title': 'System Keys',
                    'value': systemKeysValue,
                },
                {
                    'title': 'Apps',
                    'value': appsValue,
                },
                {
                    'title': 'Startup',
                    'value': startupProgramsValue,
                },
                {
                    'title': 'Firewall', 
                    'value': firewallRulesValue
                }
            ]
        }
        log(this.props.user.username, this.state.logModule, " applied new restrictions from ", this.state.host, logDetails)
    }

    resetRestrictions() {
        this.state.restrictions.settings.length = 0
        // this.props.firewallRules.length = 0
        this.props.startupPrograms.startup.length = 0
        this.state.applicationsAllowed.apps.length = 0      
        this.props.syskeys.SystemKeys.length = 0  

        this.props.firewallRules.map((rule) => 
        {
            rule.Operation = "Delete"
        })

        this.applyRestrictions()
        this.undoNotSavedRestrictions()
        this.handleResetClose()
    }

    calculateDriveValue() {
        var driveValue = 0
        var value = 0
		this.state.restrictions.settings.map((restriction) => {
			if (restriction.tag.includes("SYS_DisableDrive")){
                this.props.components.configs.map((config) => {
                    if (config.restrictionTag == restriction.tag) {
                        value = config.regSettings[0].value    
                        console.log(value)               
                        driveValue = driveValue+parseInt(value)
                        return
                    }
                });                                          
            }
        });   
        this.setDriveValue(driveValue)
    }

    setDriveValue(driveValue) {
		this.state.restrictions.settings.map((restriction) => {
			if (restriction.tag.includes("SYS_DisableDrive")){
                restriction.value = driveValue
            }
        });
    }

    render = () => (
        <div className="summary-jumbotron">
            <Container>
                <Row>
                    <Col md={{ span: 1, offset: 4 }}>
                        <Button id="btn-apply-restrictions" onClick={this.handleApplyShow} variant="dark" >
                            Apply
                        </Button>	
                    </Col>
                    <Col md={1}>	
                        <Button id="btn-undo-restrictions" onClick={this.handleUndoShow} variant="danger" >
                            Undo
                        </Button>
                    </Col>	
                    <Col md={2}>	
                        <Button id="btn-reset-restrictions" onClick={this.handleResetShow} variant="primary" >
                            Clear All
                        </Button>
                    </Col>                    
                </Row>

                <Modal show={this.state.showResetModal} onHide={this.handleResetClose} aria-labelledby="contained-modal-title-vcenter" centered>
                    <Modal.Header closeButton>
                        <Modal.Title>Remove all restrictions</Modal.Title>
                    </Modal.Header>
                    <Modal.Body>Are you sure you want to remove all the restrictions?</Modal.Body>
                    <Modal.Footer>
                        <Button id="btn-cancel-reset-restrictions" variant="secondary" onClick={this.handleResetClose}>
                        No
                        </Button>
                        <Button id="btn-proceed-reset-restrictions" variant="primary" onClick={this.resetRestrictions}>
                        Yes
                        </Button>
                    </Modal.Footer>
                </Modal>                 

                <Modal show={this.state.showUndoModal} onHide={this.handleUndoClose} aria-labelledby="contained-modal-title-vcenter" centered>
                    <Modal.Header closeButton>
                        <Modal.Title>Undo restrictions selected</Modal.Title>
                    </Modal.Header>
                    <Modal.Body>Are you sure you want to unselect the restrictions chosen?</Modal.Body>
                    <Modal.Footer>
                        <Button id="btn-cancel-undo-restrictions" variant="secondary" onClick={this.handleUndoClose}>
                        No
                        </Button>
                        <Button id="btn-apply-undo-restrictions" variant="primary" onClick={this.undoNotSavedRestrictions}>
                        Yes
                        </Button>
                    </Modal.Footer>
                </Modal>

                <Modal show={this.state.showApplyModal} onHide={this.handleApplyClose} aria-labelledby="contained-modal-title-vcenter" centered>
                    <Modal.Header closeButton>
                        <Modal.Title>Apply restrictions selected</Modal.Title>
                    </Modal.Header>
                    <Modal.Body>Are you sure you want to apply the restrictions chosen?</Modal.Body>
                    <Modal.Footer>
                        <Button id="btn-cancel-apply-restrictions" variant="secondary" onClick={this.handleApplyClose}>
                        No
                        </Button>
                        <Button id="btn-proceed-apply-restrictions" variant="primary" onClick={this.applyRestrictions}>
                        Yes
                        </Button>
                    </Modal.Footer>
                </Modal>                

                <Modal show={this.state.showApplyConfimationModal} onHide={this.handleApplyConfirmationClose} aria-labelledby="contained-modal-title-vcenter" centered>
                    <Modal.Header>
                        <Modal.Title>Restrictions applied confirmation</Modal.Title>
                    </Modal.Header>
                    <Modal.Body>Restrictions have been applied</Modal.Body>
                    <Modal.Footer>
                        <Button id="btn-confirmation-apply-restrictions" variant="secondary" onClick={this.handleApplyConfirmationClose}>
                        Close
                        </Button>
                    </Modal.Footer>
                </Modal> 

            </Container>
        </div>	
    );
}

export default RestrictionsControlMenu;